// ombFilter.cpp: implementation of the CombFilter class.
//
//////////////////////////////////////////////////////////////////////

#include "CombFilter.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CombFilter::CombFilter()
{
	filterstore = 0;
	bufidx = 0;
}


CombFilter::~CombFilter()
{

}


void CombFilter::setbuffer(float *buf, int size)
{
	buffer = buf; 
	bufsize = size;
}

void CombFilter::mute()
{
	for (int i=0; i<bufsize; i++)
		buffer[i]=0;

}

void CombFilter::setdamp(float val) 
{
	damp1 = val; 
	damp2 = 1-val;
}

void CombFilter::setfeedback(float val) 
{
	feedback = val;
}
