// AllFilter.h: interface for the AllFilter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALLFILTER_H__0BBB7321_9D8B_11DA_9957_00045A579F34__INCLUDED_)
#define AFX_ALLFILTER_H__0BBB7321_9D8B_11DA_9957_00045A579F34__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class AllFilter  
{
public:
	AllFilter();
	virtual ~AllFilter();
			void	setbuffer(float *buf, int size);
	inline  float	process(float inp);
			void	mute();
			void	setfeedback(float val);
private:
	float	feedback;
	float	*buffer;
	int		bufsize;
	int		bufidx;

};


inline float AllFilter::process(float input)
{
	float output;
	float bufout;
	
	bufout = buffer[bufidx];
//	undenormalise(bufout);

	if(((*(unsigned int*)&bufout)&0x7f800000)==0) bufout=0.0f;	

	output = -input + bufout;
	buffer[bufidx] = input + (bufout*feedback);

	if(++bufidx>=bufsize) bufidx = 0;

	return output;
}

#endif // !defined(AFX_ALLFILTER_H__0BBB7321_9D8B_11DA_9957_00045A579F34__INCLUDED_)
